clear all
format compact

% k=linspace(k1,k2,kN): wavenumber range
% ly: height of the rectangl
% ly: width of the rectangle
% Nx: # of elements in the height direction
% Ny: # of elements in the width direction

k1=0.05*2*pi; k2=0.5*2*pi; kN=10; lx=1; ly=0.5; Nx=16; Ny=8; 
k1=0.05*2*pi; k2=0.5*2*pi; kN=50; lx=1; ly=0.02; Nx=100; Ny=2; 
k1=0.05*2*pi; k2=0.5*2*pi; kN=50; lx=1; ly=0.02; Nx=100; Ny=2; 
k1=0.05*2*pi; k2=0.5*2*pi; kN=50; lx=1; ly=0.02; Nx=200; Ny=4; 

lib = '..\data';  % path to the data library

Calc_RX_matrices_rec(k1,k2,kN,lx,ly,Nx,Ny,lib);
% Computes a compressed version of the matrices
% Xe: electric reactance, stored electric energy We=I'*Xe*I/(4w)
% Xm: magnetic reactance, stored magnetic energy We=I'*Xe*I/(4w)
% Rr: resistance matrix, radiated power Pr = I'*Rr*I/2
% and saves them in eg '..\data\RowRX_rec_x=1_y=0p5_Nx=64_Ny=32_k=3p1416.mat'